JoueurMImpl

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## chkoba
Class JoueurMImpl

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  chkoba.JoueurImpl
                      chkoba.JoueurMImpl

All Implemented Interfaces:
  IJoueur, IJoueurM, java.io.Serializable, java.rmi.Remote

    public class JoueurMImpl

extends JoueurImpl
implements IJoueurM

Classe Joueur Manuel

See Also:
  Serialized Form

Field Summary

Fields inherited from class chkoba.JoueurImpl
`fait, main, nom, plis, point_chkoba, points, pris, vide`

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`JoueurMImpl()` Constructeur par defaut
`JoueurMImpl(java.lang.String n)` Constructeur avec le nom en parametre

Method Summary
`java.lang.String` | `affiche()` Affichage du nom du joueur
`java.lang.String` | `affichePlis()` Affichage des plis du joueur
`boolean` | `cinqCartes(ICarte c, IPlateau plateau)` Verifie si l'on peut prendre cinq cartes avec celle dans la main
`int` | `coupsPossibles(ICarte c, IPlateau plateau)` Verification des coups possibles a jouer et mise en place de contraintes pour prendre n cartes.
`boolean` | `deuxCartes(ICarte c, IPlateau plateau)` Verifie si l'on peut prendre deux cartes avec celle dans la main
`void` | `jouer(IPlateau plateau)` Permet de "jouer" Methode ayant servi pour le console
`void` | `poser(IPlateau plateau)` Poser une carte Toujours en console
`void` | `prendre(IPlateau plateau, int carteMax)` Methode prendre pour console
`boolean` | `quatreCartes(ICarte c, IPlateau plateau)` Verifie si l'on peut prendre quatre cartes avec celle dans la main
`boolean` | `sixCartes(ICarte c, IPlateau plateau)` Verifie si l'on peut prendre six cartes avec celle dans la main
`boolean` | `troisCartes(ICarte c, IPlateau plateau)` Verifie si l'on peut prendre trois cartes avec celle dans la main

Methods inherited from class chkoba.JoueurImpl
`ajoutePlis, chkoba, compareTo, compteCarreaux, comptePoint, compteSept, compteSix, getChkoba, getFait, getMain, getNom, getPlis, getPoint, getPris, getTaillePlis, mainEstVide, septCarreau, setFait, setNom, setPris, setVide`

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface chkoba.IJoueurM
`chkoba, compteCarreaux, compteSept, compteSix, getChkoba, getMain, getNom, mainEstVide, septCarreau, setNom, setVide`

Constructor Detail

### JoueurMImpl

    public JoueurMImpl(java.lang.String n)
                throws java.rmi.RemoteException

  Constructeur avec le nom en parametre

  Parameters:
    `n` - , nom du joueur
  Throws:
    `java.rmi.RemoteException`

### JoueurMImpl

    public JoueurMImpl()
                throws java.rmi.RemoteException

  Constructeur par defaut

  Throws:
    `java.rmi.RemoteException`

Method Detail

### jouer

    public void jouer(IPlateau plateau)
               throws java.rmi.RemoteException

  Permet de "jouer" Methode ayant servi pour le console

  Specified by:
    `jouer` in interface `IJoueur`
  Specified by:
    `jouer` in interface `IJoueurM`
  Specified by:
    `jouer` in class `JoueurImpl`
  Throws:
    `java.rmi.RemoteException`

### poser

    public void poser(IPlateau plateau)
               throws java.rmi.RemoteException

  Poser une carte Toujours en console

  Specified by:
    `poser` in interface `IJoueurM`
  Throws:
    `java.rmi.RemoteException`

### prendre

    public void prendre(IPlateau plateau,
                        int carteMax)

  Methode prendre pour console

  Specified by:
    `prendre` in interface `IJoueurM`

### deuxCartes

    public boolean deuxCartes(ICarte c,
                              IPlateau plateau)
                       throws java.rmi.RemoteException

  Verifie si l'on peut prendre deux cartes avec celle dans la main

  Specified by:
    `deuxCartes` in interface `IJoueurM`
  Parameters:
    `c` - , carte que lon veut tester
    `plateau` - , le plateau connaissant tous les objets
  Throws:
    `java.rmi.RemoteException`

### troisCartes

    public boolean troisCartes(ICarte c,
                               IPlateau plateau)
                        throws java.rmi.RemoteException

  Verifie si l'on peut prendre trois cartes avec celle dans la main

  Specified by:
    `troisCartes` in interface `IJoueurM`
  Parameters:
    `c` - , carte que lon veut tester
    `plateau` - , le plateau connaissant tous les objets
  Throws:
    `java.rmi.RemoteException`

### quatreCartes

    public boolean quatreCartes(ICarte c,
                                IPlateau plateau)
                         throws java.rmi.RemoteException

  Verifie si l'on peut prendre quatre cartes avec celle dans la main

  Specified by:
    `quatreCartes` in interface `IJoueurM`
  Parameters:
    `c` - , carte que lon veut tester
    `plateau` - , le plateau connaissant tous les objets
  Throws:
    `java.rmi.RemoteException`

### cinqCartes

    public boolean cinqCartes(ICarte c,
                              IPlateau plateau)
                       throws java.rmi.RemoteException

  Verifie si l'on peut prendre cinq cartes avec celle dans la main

  Specified by:
    `cinqCartes` in interface `IJoueurM`
  Parameters:
    `c` - , carte que lon veut tester
    `plateau` - , le plateau connaissant tous les objets
  Throws:
    `java.rmi.RemoteException`

### sixCartes

    public boolean sixCartes(ICarte c,
                             IPlateau plateau)
                      throws java.rmi.RemoteException

  Verifie si l'on peut prendre six cartes avec celle dans la main

  Specified by:
    `sixCartes` in interface `IJoueurM`
  Parameters:
    `c` - , carte que lon veut tester
    `plateau` - , le plateau connaissant tous les objets
  Throws:
    `java.rmi.RemoteException`

### coupsPossibles

    public int coupsPossibles(ICarte c,
                              IPlateau plateau)
                       throws java.rmi.RemoteException

  Verification des coups possibles a jouer et mise en place de contraintes pour prendre n cartes.

  Specified by:
    `coupsPossibles` in interface `IJoueurM`
  Throws:
    `java.rmi.RemoteException`

### affiche

    public java.lang.String affiche()
                             throws java.rmi.RemoteException

  Affichage du nom du joueur

  Specified by:
    `affiche` in interface `IJoueur`
  Specified by:
    `affiche` in interface `IJoueurM`
  Specified by:
    `affiche` in class `JoueurImpl`
  Throws:
    `java.rmi.RemoteException`

### affichePlis

    public java.lang.String affichePlis()
                                 throws java.rmi.RemoteException

  Affichage des plis du joueur

  Specified by:
    `affichePlis` in interface `IJoueurM`
  Throws:
    `java.rmi.RemoteException`

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD